draugr.torch\_utilities.optimisation.debugging.layer\_fetching.IntermediateLayerGetter
======================================================================================



.. currentmodule:: draugr.torch_utilities.optimisation.debugging.layer_fetching

.. autoclass:: IntermediateLayerGetter
   :members:
   :show-inheritance:
   :inherited-members:

   
   .. automethod:: __init__

   
   .. rubric:: Methods

   .. autosummary::
   
      ~IntermediateLayerGetter.__init__
      ~IntermediateLayerGetter.reduce_getattr
   
   

   
   
   